#!/bin/sh

############# IMPORTANT NOTE FOR USERS   ##########################

# If you have installed latex in an unusual place, specify that place here
yourlatexpath=""

# common case
commonlatexpath="/usr/local/bin/"

# MacPort case
macportlatexpath="/otp/local/bin/"

# Fink case
finklatexpath="/sw/local/bin/:/sw/bin/"

# TeXLive case (MacTeX?)
texlivetexpath="/usr/texbin/"

##################################################################


#arguments:
#  $1: index
#  $2: equation sequence (must be enclosed by double quotation  "")
#  $3: flag for rotation. the third arugment = "r" if you want to rotate the text.

#path setting for latex commands
PATH="${yourlatexpath}:${commonlatexpath}:${macportlatexpath}:${finklatexpath}:${texlivetexpath}:${PATH}"

/bin/echo $PATH

#file name and equation body
name=latex$1
eq=$2

#go to the working folder
cd ~/Library/Caches/MjoGraph

#create .tex file
if [ $3 = "r" ]; then
    /bin/echo "\\documentclass[12pt]{article}\\usepackage{amssymb,amsmath,rotating}\\pagestyle{empty}\\renewcommand{\\rmdefault}{phv} \\renewcommand{\\sfdefault}{ptm} \\renewcommand{\\ttdefault}{pcr}" "\\""begin{document} \\begin{sideways}$"${eq}"$ \\end{sideways} \\""end{document}" > $name.tex
else
    /bin/echo "\\documentclass[12pt]{article}\\usepackage{amssymb,amsmath}\\pagestyle{empty}\\renewcommand{\\rmdefault}{phv} \\renewcommand{\\sfdefault}{ptm} \\renewcommand{\\ttdefault}{pcr}" "\\""begin{document} $"${eq}"$ \\""end{document}" > $name.tex
fi

#check
cat $name.tex

#compile and create .pdf file
pdflatex -interaction nonstopmode $name.tex
pdfcrop $name.pdf tmp.pdf
mv -f tmp.pdf $name.pdf

#clean up
#rm -f $name.log $name.aux $name.tex

